// pages/index/sw/index.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      value: [],
      type: Array
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    swiperCurrent: 0
  },

  /**
   * 组件的方法列表
   */
  ready() {},
  methods: {
    swiperChange: function(e) {
      this.setData({
        swiperCurrent: e.detail.current
      });
    },
    gotobannerdetail: function(e) {
      console.log("我要点击进入banner详情页面");
      console.log(e.currentTarget.dataset.id);
      wx.navigateTo({
        url: `/pages/bannerdetail/index?id=${e.currentTarget.dataset.id}`
      });
    }
  }
});
